From 4a228881e60a1d6fbc26646474d02ab104a5193e Mon Sep 17 00:00:00 2001
From: Dave <ci713@qq.com>
Date: Fri, 7 Mar 2025 03:14:17 +0800
Subject: [PATCH 11/13] fix(jsdelivr): make params.`getPackageVersion` useful
 (#266)

---
 packages/jsdelivr/lib/npm.ts | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/packages/jsdelivr/lib/npm.ts b/packages/jsdelivr/lib/npm.ts
index 5d65f11f..6a836b7a 100644
--- a/packages/jsdelivr/lib/npm.ts
+++ b/packages/jsdelivr/lib/npm.ts
@@ -149,7 +149,7 @@ export function createNpmFileSystem(
 				if ((await _stat(path))?.type !== 1 satisfies FileType.File) {
 					return;
 				}
-				const text = await fetchText(`https://cdn.jsdelivr.net/npm/${path}`);
+				const text = await fetchText(`https://cdn.jsdelivr.net/npm/${pkgName}@${_version || 'latest'}/${pkgFilePath}`);
 				if (text !== undefined) {
 					onFetch?.(path, text);
 				}
@@ -251,7 +251,7 @@ export function createNpmFileSystem(
 			version = modName.substring(modName.lastIndexOf('@') + 1);
 		}
 		if (!version && getPackageVersion) {
-			getPackageVersion?.(pkgName);
+			version = getPackageVersion?.(pkgName);
 		}
 		return [modName, pkgName, version, path];
 	}

